Subject: Re: [PATCH 0/3] Kernel handling of Dynamic Logical Partitioning

From: Nathan Fontenot <[email-masked]>
Date: Wed, 25 Nov 2009 01:07:17 -0600

Paul Mackerras wrote:
> Nathan Fontenot writes:
> 
>> The Dynamic Logical Partitioning (DLPAR) capabilities of the powerpc pseries
>> platform allows for the addition and removal of resources (i.e. cpus,
>> memory, pci devices) from a partition. The removal of a resource involves
>> removing the resource's node from the device tree and then returning the
>> resource to firmware via the rtas set-indicator call.  To add a resource, it
>> is first obtained from firmware via the rtas set-indicator call and then a
>> new device tree node is created using the ibm,configure-coinnector rtas call
>> and added to the device tree.
>>
>> The following set of patches implements the needed infrastructure to have the
>> kernel handle the DLPAR addition and removal of cpus (other DLPAR'able items 
>> to follow in future patches).  The framework for this is to create a set of 
>> probe/release sysfs files that will facilitate arch-specific call-outs to 
>> handle addition and removal of cpus to the system.
> 
> Nice explanation, but the 0/3 of the series doesn't go into git.
> Could you rework some/all of this into the commit message for patch
> 1/3 so it gets stored permanently with these patches in git?
> 
> Thanks,
> Paul.

Thanks for all the feedback.

Version two of the patches are on their way based on your comments.

-Nathan Fontenot